﻿;===============================================================================
;
;		MouseGestureL.ahk 用户扩展
;
;	- 此文件描述了额外的初始化过程和用户定义的子程序与函数。
;	- 你可以通过设置适当的变量来改变配置对话框的大小。
;	- 当你修改了这个文件的内容后，必须重新加载脚本。
;
;===============================================================================

;----- 初始化过程	------------------------------------------------
if (!MG_IsEdit) {
; MouseGestureL.ahk 用

Menu, Tray, Add, 文档, Help

help()
{
	run  D:\Program\OneDrive\AHK\v1\AutoHotkey.chm
}

DetectAHK(ahk)
{
	SetTitleMatchMode 2
	DetectHiddenWindows,on
	Return WinExist(ahk . " ahk_class AutoHotkey")
}

getClassNN()
{
    MouseGetPos , , , , ClassNN
    return ClassNN
}

RemoveTrayTip()
{
	TrayTip
	if SubStr(A_OSVersion,1,3) = "10." {
		Menu Tray, NoIcon
		Sleep 200
		Menu Tray, Icon
	}
}

ManyaMeeya(title , np := 1)
{
	StartTime := A_TickCount
	title2 := title
	SetTimer, MangaMeeyaTip, -1000
	loop
	{
		if A_TickCount - StartTime > 1000
			Return
		WinGetTitle, Title2, ahk_exe MangaMeeya.exe
		if InStr(title2,title) or title ~= "展开中"
			Sleep,100
		Else
			Break
	}
	SetTimer, MangaMeeyaTip,Delete
	if title2 ~= "显示缩略图 \("
		Return
	if title2 ~= "Scale"
		WinMenuSelectItem, A, ,查看,显示缩略图(自定)
	if title2 ~= "没有可以显示缩略图的文件"
	{
        if np
            WinMenuSelectItem, A, ,跳转,到下一个文件夹
        else
            WinMenuSelectItem, A, ,跳转,到上一个文件夹
		WinGetTitle,  title3, ahk_exe MangaMeeya.exe
		loop
		{
			WinGetTitle,  title4, ahk_exe MangaMeeya.exe
			if InStr(title3,title4) or title ~= "展开中"
				Sleep,100
			Else
				Break
		}
		WinMenuSelectItem, A, ,查看,显示缩略图(自定)
		TrayTip ,MangaMeeya,跳过了没有图片的文件夹
		SetTimer, RemoveTrayTip, -2000
	}
}

MangaMeeyaTip()
{
	TrayTip ,MangaMeeya,没有下级文件夹
	SetTimer, RemoveTrayTip, -2000
}

} else {
; MG_Edit.ahk 用





}
; MouseGestureL.ahk、MG_Edit.ahk 共用






;-------------------------------------------------------------------------------
Goto, MG_User_End

;----- 子程序定义	------------------------------------------------










;-------------------------------------------------------------------------------
MG_User_End:
